#! /bin/sh
#----------------------------------------------------------------------------
# apache2 - Installation
#
# Creation:     2005-02-17 MOU
# Last Update:  $Id: install.sh 106289 2023-09-13 12:59:34Z schlotze $
#
# Copyright (c) 2005-2022 the eisfair team, team(at)eisfair(dot)org
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

package_name="apache2"
addparams=/etc/apache2/AddParams.conf
conffile=/etc/config.d/apache2
installfile=/var/run/apache2.install
source_conf=${installfile}
olddocroot=/var/www
docroot=/var/www
lockfile=/tmp/apache-install.lock
libfile=/var/install/include/apache2lib
vhost_path=/etc/vhosts

. $libfile
. /etc/apache2/APACHE2

#exec 2> /tmp/apache2-update-base-trace$$.log
#set -x

# ---------------------------------------------------------------------------
# add menu
# ---------------------------------------------------------------------------
/var/install/bin/add-menu   setup.services.menu   \
                            setup.services.apache2.menu  \
                            "Apache2 Webserver"
                            
if [ -d ${olddocroot}/htdocs ]
then
	docroot=${olddocroot}
fi

if [ -d $vhost_path ]
then
    for vhost_idx in `ls $vhost_path`
    do
        . $vhost_path/$vhost_idx
        . $conffile

        # returns $idx
        get_next_free_vhost_number

        echo "Convertig VHost no. $vhost_idx ($servername) to new format no. $idx"

        print_vhost_vars >>$conffile
    done

    mv $vhost_path $vhost_path.SAVE

    echo "If the converting went wrong,"
    echo "your old VHost data will be saved in $vhost_path.SAVE"
fi

if [ -f /tmp/AddParams.conf.SAVE ]
then
    mv /tmp/AddParams.conf.SAVE $addparams
fi

mkdir -p /var/log/apache2

# ---------------------------------------------------------------------------
# Create default config/directories
# ---------------------------------------------------------------------------
systemd-tmpfiles --create apache2.conf
if [ -f "/etc/config.d/${package_name}" ]
then
    update=true
else
   mkdir -p /etc/apache2
   echo 'datetime' >/etc/apache2/new-install
fi

/var/install/config.d/${package_name}-update.sh

# ---------------------------------------------------------------------------
# start package with update
# ---------------------------------------------------------------------------
if ${update:-false}
then
    /var/install/config.d/apache2.sh

    . $conffile

    if [ "$START_APACHE2" = "yes" ]
    then
        /usr/sbin/service start apache2
    fi
fi

exit 0
#----------------------------------------------------------------------------
# end
#----------------------------------------------------------------------------
